.full-page {
  width: 100vw;
  height: 100vh;
}

.inline-block {
  display: inline-block;
  vertical-align: middle;
}

.float-left {
  float: left;
}

.float-right {
  float: right;
}

.pointer {
  cursor: pointer;
}

.overflow-dot {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.vertical-middle {
  vertical-align: middle;
}

a {
  color: inherit;
  &:hover {
    color: inherit;
  }
}

*::-webkit-scrollbar-track
{
  background-color: rgba(245, 245, 245, 0);
}

*::-webkit-scrollbar
{
  width: 6px;
  height: 6px;
  background-color: rgba(245, 245, 245, 0);
}

*::-webkit-scrollbar-thumb
{
  background-color: rgba(15, 35, 55, 0.6);
}

.div-btn {
  display: inline-block;
  margin-left: 5px;
  margin-right: 5px;
  cursor: pointer;
  color: #555;
  &:hover {
    -webkit-filter: brightness(1.5);
  }
  &:active {
    -webkit-filter: brightness(0.7);
  }
}

.literal-div-btn {
  display: inline-block;
  margin-left: 5px;
  margin-right: 5px;
  cursor: pointer;
}

.info-hover {
  transition: color 0.4s linear;
  &:hover {
    color: #77cef7;
  }
  &:active {
    color: #1587bd;
  }
}

.company-card-btn {
  position: absolute;
  right: 0;
  bottom: 20px;
}

.advance {
  color: #ff6666;
}

.decline {
  color: #00C48D;
}

.constant {
  color: #159fd6;
}

.p5-lock {
  position: absolute;
  left: 10px;
  margin: 12px 0;
  font-size: 24px;
  z-index: 1;
}
